Request

Response

    Get a Markup for File Version
    GET

    vaults/{vaultId}/file-versions/{id}/markups/{markupId}

    Retrieves a markup by its ID for the specified file version.

    Resource Information

    Method and URI
    GET
    /AutodeskDM/Services/api/vault/v2/vaults/{vaultId}/file-versions/{id}/markups/{markupId}
    Authentication Context
    User context required
    Required OAuth Scopes
    No scopes required
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow or a Secure Service Account (SSA) flow.

    The SSA flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context.

    * Required

    Request

    URI Parameters

    vaultId
    string
    The unique identifier of a Knowledge Vault.
    id
    string
    The unique identifier of a file version.
    markupId
    string
    The unique identifier of a markup.

    Response

    HTTP Status Code Summary

    200
    OK
    The markup was successfully retrieved.
    400
    Bad Request
    The server was unable to process the request. The syntax of the request is malformed or the request is missing a required header. Do not repeat the request without fixing the issue. The response body may indicate what is wrong with the request.
    401
    Unauthorized
    The supplied authorization header was not valid or the supplied token scope was not acceptable. Verify authentication and try again.
    403
    Forbidden
    The request was successfully validated but lacking the required permissions. Verify your credentials and permissions before you send this request again.
    404
    Not Found
    The requested resource was not found.

    Response

    Body Structure (200)

    Expand all
    id
    string
    The unique identifier of the markup.
    parentId
    string
    The unique identifier of the parent markup when this markup is a reply.
    createdByUser
    object
    Contains core Vault account metadata returned for directory operations.
    id
    string
    A unique number that the Vault uses to reference the user.
    name
    string
    The login name of the user.
    email
    string
    The email address of the user.
    authTypes
    enum:string
    Specifies which account directory backs the sign-in record. Possible values:
    • ActiveDirectory - Account is linked to Active Directory.
    • Vault - Account is native to Vault.
    • Autodesk - Account is linked to Autodesk ID.
    systemName
    string
    The internal system name of the user.
    createDate
    datetime: ISO 8601
    The date that the user was created.
    isActive
    boolean
    Indicates whether this user is active.

    true: The user is active.

    false: The user is inactive.

    url
    string
    The relative URL to access this object.
    createDateTime
    datetime: ISO 8601
    The date and time when the markup was created.
    updatedByUser
    object
    Contains core Vault account metadata returned for directory operations.
    id
    string
    A unique number that the Vault uses to reference the user.
    name
    string
    The login name of the user.
    email
    string
    The email address of the user.
    authTypes
    enum:string
    Specifies which account directory backs the sign-in record. Possible values:
    • ActiveDirectory - Account is linked to Active Directory.
    • Vault - Account is native to Vault.
    • Autodesk - Account is linked to Autodesk ID.
    systemName
    string
    The internal system name of the user.
    createDate
    datetime: ISO 8601
    The date that the user was created.
    isActive
    boolean
    Indicates whether this user is active.

    true: The user is active.

    false: The user is inactive.

    url
    string
    The relative URL to access this object.
    updateDateTime
    datetime: ISO 8601
    The date and time when the markup was last updated.
    data
    string
    The serialized markup payload.
    thumbnail
    string
    The thumbnail image data or URI for the markup.
    url
    string
    The relative URL to access this object.

    Example

    This example illustrates how to get a specific markup by ID.

    Note: {VaultServerAddress} is used as a placeholder in the example(s) and could represent one of the following:

    • Vault Server IP address or hostname. Ex: http://10.41.110.49.
    • Vault Gateway URL if gateway is configured. Ex: https://test.vg.autodesk.com.

    Request

    curl -v '{VaultServerAddress}/AutodeskDM/Services/api/vault/v2/vaults/117/file-versions/43/markups/49ea7bb4-032c-4fc6-9cea-0b8b69a409af' \
      -X 'GET' \
      -H 'Accept: application/json'\
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a...'
    

    Response

    {
      "id": "49ea7bb4-032c-4fc6-9cea-0b8b69a409af",
      "createdByUser": {
        "id": "65",
        "name": "TestAccount",
        "authTypes": 0,
        "createDate": "0001-01-01T00:00:00Z",
        "isActive": false,
        "url": "/AutodeskDM/Services/api/vault/v2/users/65"
      },
      "createDateTime": "2024-10-22T06:34:05.48Z",
      "updatedByUser": {
        "id": "65",
        "name": "TestAccount",
        "authTypes": 0,
        "createDate": "0001-01-01T00:00:00Z",
        "isActive": false,
        "url": "/AutodeskDM/Services/api/vault/v2/users/65"
      },
      "updateDateTime": "2024-10-22T06:34:05.48Z",
      "data": "{\"title\":\"test2\",\"is2d\":false,\"sheetGUID\":\"62adf39d-f832-3e3e-96d0-61c69858607f\",\"sheetName\":\"Test1.ipt\",\"viewerState\":{\"seedURN\":\"https://localview/./1/0.svf\",\"objectSet\":[{\"id\":[],\"idType\":\"lmv\",\"isolated\":[],\"hidden\":[],\"explodeScale\":0,\"explodeOptions\":{\"magnitude\":4,\"depthDampening\":0}}],\"viewport\":{\"name\":\"\",\"eye\":[0.6641523100873024,0.6641523100873024,0.6641523427418329],\"target\":[0,0,0],\"up\":[-0.4082482737368314,0.8164965876185387,-0.40824829380926886],\"worldUpVector\":[0,1,0],\"pivotPoint\":[0,0,0],\"distanceToOrbit\":1.1503455638885498,\"aspectRatio\":2.546485260770975,\"projection\":\"orthographic\",\"isOrthographic\":true,\"orthographicHeight\":1.1503455638885498},\"autocam\":{\"sceneUpDirection\":{\"x\":0,\"y\":1,\"z\":0},\"sceneFrontDirection\":{\"x\":0,\"y\":0,\"z\":-1},\"cubeFront\":{\"x\":1,\"y\":0,\"z\":0}},\"renderOptions\":{\"environment\":\"Grey Room\",\"ambientOcclusion\":{\"enabled\":true,\"radius\":0.05488747729185718,\"intensity\":1},\"toneMap\":{\"method\":1,\"exposure\":-1,\"lightMultiplier\":-1},\"appearance\":{\"ghostHidden\":false,\"ambientShadow\":true,\"antiAliasing\":true,\"progressiveDisplay\":true,\"swapBlackAndWhite\":false,\"displayLines\":false,\"displayPoints\":true}},\"cutplanes\":[]},\"markups\":[{\"type\":\"callout\",\"state\":{\"text\":\"Default Text\",\"isFrameUsed\":true,\"frameType\":\"rectangle\",\"anchors\":[{\"x\":310.4025506366546,\"y\":661.2017730920493,\"z\":0},{\"x\":424.2914395255435,\"y\":661.2017730920493,\"z\":0},{\"x\":424.2914395255435,\"y\":681.2017730920493,\"z\":0},{\"x\":310.4025506366546,\"y\":681.2017730920493,\"z\":0}],\"style\":{\"stroke-color\":\"#FF0000\",\"font-size\":36,\"font-weight\":\"normal\",\"font-family\":\"Artifakt Element, Arial\",\"font-style\":\"normal\",\"font-color\":\"#FF0000\",\"stroke-width\":10,\"fill-opacity\":0.5,\"fill-color\":\"-1\",\"stroke-opacity\":1},\"translation\":{\"x\":0,\"y\":0,\"z\":0},\"rotation\":0,\"scale\":{\"x\":1,\"y\":1,\"z\":1}},\"dataModelVersion\":6}]}",
      "thumbnail": "/9j/4AAQSkZJRgABAQAAAQABAAD/4gIoSUNDX1......",
      "parentId": "40",
      "url": "/AutodeskDM/Services/api/vault/v2/vaults/117/file-versions/40/markups/49ea7bb4-032c-4fc6-9cea-0b8b69a409af"
    }
    
    Show More